Bug 49856 - Connector/ThreadPool link to Executor not exposed via JMX
Connector/ThreadPool link to Executor not exposed via JMX
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
6.0.29
All All
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-09-01 03:24 UTC by Mark Thomas
Modified: 2010-10-04 17:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Thomas 2010-09-01 03:24:08 UTC
When viewing either Connector objects or ThreadPool objects via JMX the name of the executor is not shown. It would be helpful if this were exposed via JMX so the links between Connectors/ThreadPools and Executors could be determined.
Comment 1 Mark Thomas 2010-09-01 03:24:38 UTC
Fix version. Sorry for the noise.
Comment 2 Mark Thomas 2010-09-30 18:19:41 UTC
Fixed in trunk  and will be included in 7.0.3 onwards.

Proposed for 6.0.x.
Comment 3 Mark Thomas 2010-10-04 17:09:22 UTC
Fixed in 6.0.x and will be included in 6.0.30 onwards.